summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-06-04 18:55:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-04 18:55:31 +0700
commitc447127f09bbb127b77e21c942bc20cf65a323fb (patch)
treecf6a1fd10c13cc8f16a7796b565bcbd892504691 /network
parent704cfcbf6927a705cfc48456bdf138ec06c932d8 (diff)
downloadslackbuilds-c447127f09bbb127b77e21c942bc20cf65a323fb.tar.gz
slackbuilds-c447127f09bbb127b77e21c942bc20cf65a323fb.tar.xz
network/clipgrab: Added (downloading video tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/clipgrab/README8
-rw-r--r--network/clipgrab/clipgrab.SlackBuild93
-rw-r--r--network/clipgrab/clipgrab.desktop13
-rw-r--r--network/clipgrab/clipgrab.info10
-rw-r--r--network/clipgrab/clipgrab.pngbin0 -> 4060 bytes
-rw-r--r--network/clipgrab/doinst.sh13
-rw-r--r--network/clipgrab/slack-desc19
7 files changed, 156 insertions, 0 deletions
diff --git a/network/clipgrab/README b/network/clipgrab/README
new file mode 100644
index 0000000000..f0691534c3
--- /dev/null
+++ b/network/clipgrab/README
@@ -0,0 +1,8 @@
+clipgrab (Downloading video tool)
+
+ClipGrab is a GPLv3-licensed Open Source project and of course also available for Linux.
+
+ClipGrab is a free downloader and converter for YouTube, Vimeo, Metacafe, Dailymotion and
+many other online video sites, see more in: http://clipgrab.org/faqs/supported-sites
+
+It converts downloaded videos to MPEG4, MP3 or other formats in just one easy step.
diff --git a/network/clipgrab/clipgrab.SlackBuild b/network/clipgrab/clipgrab.SlackBuild
new file mode 100644
index 0000000000..74c95cd8f4
--- /dev/null
+++ b/network/clipgrab/clipgrab.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+#
+# Slackware build script for clipgrab.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=clipgrab
+VERSION=${VERSION:-3.4.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake clipgrab.pro
+make DESTDIR=$PKG
+
+install -d $PKG/usr/share/{applications,pixmaps}
+install -D -m644 $CWD/clipgrab.desktop $PKG/usr/share/applications/clipgrab.desktop
+install -D -m644 $CWD/clipgrab.png $PKG/usr/share/pixmaps/clipgrab.png
+install -d $PKG/usr/bin
+install -D -m755 clipgrab $PKG/usr/bin/clipgrab
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING license.odt README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/clipgrab/clipgrab.desktop b/network/clipgrab/clipgrab.desktop
new file mode 100644
index 0000000000..dad31cfddb
--- /dev/null
+++ b/network/clipgrab/clipgrab.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Name=ClipGrab
+GenericName=Video Downloader
+GenericName[de]=Video-Downloader
+Comment=Download videos and convert it
+Comment[de]=Videos herunterladen und konvertieren
+Icon=/usr/share/pixmaps/clipgrab.png
+Exec=clipgrab
+TryExec=clipgrab
+Terminal=false
+Categories=Qt;AudioVideo;Audio;Video;
diff --git a/network/clipgrab/clipgrab.info b/network/clipgrab/clipgrab.info
new file mode 100644
index 0000000000..0db028843a
--- /dev/null
+++ b/network/clipgrab/clipgrab.info
@@ -0,0 +1,10 @@
+PRGNAM="clipgrab"
+VERSION="3.4.11"
+HOMEPAGE="http://clipgrab.org/"
+DOWNLOAD="http://download.clipgrab.de/clipgrab-3.4.11.tar.bz2"
+MD5SUM="89b1937c34d0251e1e83d914b537e85e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ffmpeg"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/network/clipgrab/clipgrab.png b/network/clipgrab/clipgrab.png
new file mode 100644
index 0000000000..f2a3e7b8ea
--- /dev/null
+++ b/network/clipgrab/clipgrab.png
Binary files differ
diff --git a/network/clipgrab/doinst.sh b/network/clipgrab/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/network/clipgrab/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/clipgrab/slack-desc b/network/clipgrab/slack-desc
new file mode 100644
index 0000000000..0ec27da46d
--- /dev/null
+++ b/network/clipgrab/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+clipgrab: clipgrab (downloading video tool)
+clipgrab:
+clipgrab: ClipGrab is a free downloader and converter for YouTube, Vimeo,
+clipgrab: Metacafe, Dailymotion and many other online video sites.
+clipgrab:
+clipgrab: Home page: http://clipgrab.org/
+clipgrab:
+clipgrab:
+clipgrab:
+clipgrab:
+clipgrab: